'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _takeDefaultOptions = require('../lib/takeDefaultOptions');

var _takeDefaultOptions2 = _interopRequireDefault(_takeDefaultOptions);

var _ZuiCoolShareMask = require('../components/ZuiCoolShareMask');

var _ZuiCoolShareMask2 = _interopRequireDefault(_ZuiCoolShareMask);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by LiH on 2018/1/6.
 */
var $vm = void 0;

exports.default = {
  install: function install(Vue) {
    var Mask = Vue.extend(_ZuiCoolShareMask2.default);

    if (!$vm) {
      $vm = new Mask({
        el: document.createElement('div')
      });

      document.body.appendChild($vm.$el);
    }

    var defaults = (0, _takeDefaultOptions2.default)($vm);

    Vue.$ZCMask = {
      show: function show() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        if (typeof options === 'string') {
          $vm.title = options;
        } else if ((typeof options === 'undefined' ? 'undefined' : (0, _typeof3.default)(options)) === 'object') {
          options = (0, _assign2.default)({}, defaults, options);
          for (var i in options) {
            if (options.hasOwnProperty(i)) {
              $vm[i] = options[i];
            }
          }
        }
        $vm.visible = true;
      },
      hide: function hide() {
        $vm.visible = false;
      }
    };

    Vue.mixin({
      created: function created() {
        this.$ZCMask = Vue.$ZCMask;
      }
    });
  }
};